System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.All)

The lets you add a new property page to a control. The can add additional property tabs to expose property information other than a component's default set of properties.

Identifies the property tab or tabs to display for the specified class or classes.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This is a default constructor that creates an uninitialized . This constructor can be used to derive from this attribute and specify multiple tab types by calling .

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified tab class name.

  The assembly qualified name of the type of tab to create. For an example of this format convention, see .
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified type of tab.

  The type of tab to create.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified tab class name and tab scope.

  The assembly qualified name of the type of tab to create. For an example of this format convention, see .
  A that indicates the scope of this tab. If the scope is , it is shown only for components with the corresponding . If it is , it is shown for all components on the document.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified type of tab and tab scope.

  The type of tab to create.
  A that indicates the scope of this tab. If the scope is , it is shown only for components with the corresponding . If it is , it is shown for all components on the document.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Returns a value indicating whether this instance is equal to a specified attribute.

  true if the instances are equal; otherwise, false.

  A to compare to this instance, or null.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Returns a value indicating whether this instance is equal to a specified object.

  true if refers to the same instance; otherwise, false.

  An object to compare to this instance, or null.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Gets the hash code for this object.

  The hash code for the object the attribute belongs to.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  provides a utility function that can be used to set the types of tab classes that this specifies.

  Initializes the attribute using the specified names of tab classes and array of tab scopes.

  An array of fully qualified type names of the types to create for tabs on the Properties window. The scope of each tab. If the scope is , it is shown only for components with the corresponding . If it is , it is shown for all components on the document.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  provides a utility function that can be used to set the types of tab classes that this specifies.

  Initializes the attribute using the specified names of tab classes and array of tab scopes.

  The types of tabs to create. The scope of each tab. If the scope is , it is shown only for components with the corresponding . If it is , it is shown for all components on the document.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[] To be added: an object of type 'Type []'

  All specified types must be able to be assigned to a .

  Gets the types of tabs that this attribute uses.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String[] To be added: an object of type 'string []' To be added

  Gets the names of the tab classes that this attribute uses.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyTabScope[] To be added: an object of type 'PropertyTabScope []' To be added

  Gets an array of tab scopes of each tab of this .